<!doctype html>
<html>

<head>
  <meta name="generator" content="JSDoc 3.6.3">
  <meta charset="utf-8">
  <title>Source: ads/interstitial/Interstitial.js</title>
  <link rel="stylesheet" href="https://brick.a.ssl.fastly.net/Karla:400,400i,700,700i" type="text/css">
  <link rel="stylesheet" href="https://brick.a.ssl.fastly.net/Noto+Serif:400,400i,700,700i" type="text/css">
  <link rel="stylesheet" href="https://brick.a.ssl.fastly.net/Inconsolata:500" type="text/css">
  <link href="css/baseline.css" rel="stylesheet">
</head>

<body onload="prettyPrint()">
  <nav id="jsdoc-navbar" role="navigation" class="jsdoc-navbar">
    <div id="jsdoc-navbar-container">
      <div id="jsdoc-navbar-content">
        <a href="index.html" class="jsdoc-navbar-package-name">Home</a>
      </div>
    </div>
  </nav>
  <div id="jsdoc-body-container">
    <div id="jsdoc-content">
      <div id="jsdoc-content-container">
        <div id="jsdoc-banner" role="banner">
        </div>
        <div id="jsdoc-main" role="main">
          <header class="page-header">
            <h1>Source: ads/interstitial/Interstitial.js</h1>
          </header>
          <article>
            <pre class="prettyprint linenums"><code>import style from &#x27;./style.scss&#x27;
import { Ad } from &#x27;../Ad&#x27;
import { Header } from &#x27;./Header&#x27;
import { ChangeOrientationMessage } from &#x27;./ChangeOrientationMessage&#x27;

let classNames &#x3D; (require(&#x27;classnames/bind&#x27;)).bind(style)
/**
 * wyświetlana na warstwie reklama, wypełniająca cały viewport &amp;lt;br&gt;
 * obowiązkowo posiada belkę w górnej częsci, zawierającą przycisk zamykający oraz napis reklama
 *
 * @export
 * @class Interstitial
 * @extends {Ad}
 */
export class Interstitial extends Ad {
  constructor (props, state) {
    super(props, state)

    /**
     * na jakiej orientacji ekranu ma byc być wyświetlana treść reklamowa
     * @type {{&#x27;both&#x27;,&#x27;portrait&#x27;,&#x27;landscape&#x27;}}
     */
    this.displayOnOrientation &#x3D; null

    if (&#x27;landscape&#x27; in this.props &amp;amp;&amp;amp; &#x27;portrait&#x27; in this.props) {
      this.displayOnOrientation &#x3D; &#x27;both&#x27;
    } else if (&#x27;portrait&#x27; in this.props) {
      this.displayOnOrientation &#x3D; &#x27;portrait&#x27;
    } else if (&#x27;landscape&#x27; in this.props) {
      this.displayOnOrientation &#x3D; &#x27;landscape&#x27;
    }

    this.body &#x3D; this.body.bind(this)
  }

  /**
   * treść reklamy, wyświetlana pod belką
   *
   * @returns {jsx}
   * @memberof Interstitial
   */
  body () {
    return null
  }

  render () {
    let changeOrientation &#x3D; false
    if (this.displayOnOrientation &#x3D;&#x3D;&#x3D; &#x27;portrait&#x27;) changeOrientation &#x3D; &#x27;landscape&#x27;
    if (this.displayOnOrientation &#x3D;&#x3D;&#x3D; &#x27;landscape&#x27;) changeOrientation &#x3D; &#x27;portrait&#x27;

    return (
      &amp;lt;div style&#x3D;{this.props.style} className&#x3D;{classNames({
        interstitial: true,
        ready: this.state.lifecycle &#x3D;&#x3D;&#x3D; &#x27;ready&#x27; &amp;amp;&amp;amp; this.state.preloading &#x3D;&#x3D;&#x3D; 0
      })}&gt;
        &amp;lt;Header
          onClick&#x3D;{this.setState({ lifecycle: &#x27;closed&#x27; })}
        /&gt;
        &amp;lt;div className&#x3D;{classNames(&#x27;container&#x27;)}&gt;
          {changeOrientation &amp;amp;&amp;amp; &amp;lt;ChangeOrientationMessage displayOn&#x3D;{changeOrientation} /&gt;}
          {this.body()}
        &amp;lt;/div&gt;
      &amp;lt;/div&gt;
    )
  }
}
</code></pre>
          </article>
        </div>
      </div>
      <nav id="jsdoc-toc-nav" role="navigation"></nav>
    </div>
  </div>
  <footer id="jsdoc-footer" class="jsdoc-footer">
    <div id="jsdoc-footer-container">
      <p>
        Generated by <a href="https://github.com/jsdoc3/jsdoc">JSDoc</a> 3.6.3 on August 23, 2019.
      </p>
    </div>
  </footer>
  <script src="scripts/jquery.min.js"></script>
  <script src="scripts/jquery.cookie.js"></script>
  <script src="scripts/tree.jquery.js"></script>
  <script src="scripts/prettify.js"></script>
  <script src="scripts/jsdoc-toc.js"></script>
  <script src="scripts/linenumber.js"></script>
  <script src="scripts/scrollanchor.js"></script>
</body>

</html>